stages:
    - repository-mirroring
repository-mirroring:
    stage: repository-mirroring
    image: ubuntu:24.04
    before_script:
    - apt-get update -y && apt install git -y
    - git config --global user.name "${GIT_USER_NAME}"
    - git config --global user.email "${GIT_USER_EMAIL}"
    script:

    # Leezenflow Doku
    - echo -----------------------------------------------------------------------------------------
    - echo pulling from $SOURCE_REPO_LEEZENFLOW_DOKU and pushing to $DESTINATION_REPO_LEEZENFLOW_DOKU
    - git clone --mirror $SOURCE_REPO_LEEZENFLOW_DOKU repository_mirror_lf_doku
    - cd repository_mirror_lf_doku
    - git remote remove origin
    - git remote add origin https://PushKey:$ACCESS_TOKEN_LEEZENFLOW_DOKU@$DESTINATION_REPO_LEEZENFLOW_DOKU
    - git push --set-upstream origin --all
    - git push --set-upstream origin --tags
    - cd ..
    
    # Leezenflow Code
    - echo -----------------------------------------------------------------------------------------
    - echo pulling from $SOURCE_REPO_LEEZENFLOW_CODE and pushing to $DESTINATION_REPO_LEEZENFLOW_CODE
    - git clone --mirror $SOURCE_REPO_LEEZENFLOW_CODE repository_mirror_lf_code
    - cd repository_mirror_lf_code
    - git remote remove origin
    - git remote add origin https://PushKey:$ACCESS_TOKEN_LEEZENFLOW_CODE@$DESTINATION_REPO_LEEZENFLOW_CODE
    - git push --set-upstream origin --all
    - git push --set-upstream origin --tags
    - cd ..
    
    # Smart-City-Dashboard Frontend
    - echo -----------------------------------------------------------------------------------------
    - echo pulling from $SOURCE_REPO_SC_DASHBOARD_FRONTEND and pushing to $DESTINATION_REPO_SC_DASHBOARD_FRONTEND
    - git clone --mirror $SOURCE_REPO_SC_DASHBOARD_FRONTEND repository_mirror_scdb_frontend
    - cd repository_mirror_scdb_frontend
    - git remote remove origin
    - git remote add origin https://PushKey:$ACCESS_TOKEN_SC_DASHBOARD_FRONTEND@$DESTINATION_REPO_SC_DASHBOARD_FRONTEND
    - git push --set-upstream origin --all
    - git push --set-upstream origin --tags
    - cd ..

    # Smart-City-Dashboard Backend
    - echo -----------------------------------------------------------------------------------------
    - echo pulling from $SOURCE_REPO_SC_DASHBOARD_BACKEND and pushing to $DESTINATION_REPO_SC_DASHBOARD_BACKEND
    - git clone --mirror $SOURCE_REPO_SC_DASHBOARD_BACKEND repository_mirror_scdb_backend
    - cd repository_mirror_scdb_backend
    - git remote remove origin
    - git remote add origin https://PushKey:$ACCESS_TOKEN_SC_DASHBOARD_BACKEND@$DESTINATION_REPO_SC_DASHBOARD_BACKEND
    - git push --set-upstream origin --all
    - git push --set-upstream origin --tags
    - cd ..

    # Gieß den Kiez: muenstergiesst-watersource
    - echo -----------------------------------------------------------------------------------------
    - echo pulling from $SOURCE_REPO_GDK_WATER and pushing to $DESTINATION_REPO_GDK_WATER
    - git clone --mirror $SOURCE_REPO_GDK_WATER repository_mirror_gdk_water
    - cd repository_mirror_gdk_water
    - git remote remove origin
    - git remote add origin https://PushKey:$ACCESS_TOKEN_GDK_WATER@$DESTINATION_REPO_GDK_WATER
    - git push --set-upstream origin --all
    - git push --set-upstream origin --tags
    - cd ..

    # Gieß den Kiez: tree-data
    - echo -----------------------------------------------------------------------------------------
    - echo pulling from $SOURCE_REPO_GDK_TREE and pushing to $DESTINATION_REPO_GDK_TREE
    - git clone --mirror $SOURCE_REPO_GDK_TREE repository_mirror_gdk_tree
    - cd repository_mirror_gdk_tree
    - git remote remove origin
    - git remote add origin https://PushKey:$ACCESS_TOKEN_GDK_TREE@$DESTINATION_REPO_GDK_TREE
    - git push --set-upstream origin --all
    - git push --set-upstream origin --tags
    - cd ..

    # Gieß den Kiez: postgres-api
    - echo -----------------------------------------------------------------------------------------
    - echo pulling from $SOURCE_REPO_GDK_POSTGRES and pushing to $DESTINATION_REPO_GDK_POSTGRES
    - git clone --mirror $SOURCE_REPO_GDK_POSTGRES repository_mirror_gdk_postgres
    - cd repository_mirror_gdk_postgres
    - git remote remove origin
    - git remote add origin https://PushKey:$ACCESS_TOKEN_GDK_POSTGRES@$DESTINATION_REPO_GDK_POSTGRES
    - git push --set-upstream origin --all
    - git push --set-upstream origin --tags
    - cd ..

    # Gieß den Kiez: dwd-harvester
    - echo -----------------------------------------------------------------------------------------
    - echo pulling from $SOURCE_REPO_GDK_DWD and pushing to $DESTINATION_REPO_GDK_DWD
    - git clone --mirror $SOURCE_REPO_GDK_DWD repository_mirror_gdk_dwd
    - cd repository_mirror_gdk_dwd
    - git remote remove origin
    - git remote add origin https://PushKey:$ACCESS_TOKEN_GDK_DWD@$DESTINATION_REPO_GDK_DWD
    - git push --set-upstream origin --all
    - git push --set-upstream origin --tags
    - cd ..

    # Gieß den Kiez, main repo: giessdenkiez-de
    - echo -----------------------------------------------------------------------------------------
    - echo pulling from $SOURCE_REPO_GDK_MAIN and pushing to $DESTINATION_REPO_GDK_MAIN
    - git clone --mirror $SOURCE_REPO_GDK_MAIN repository_mirror_gdk_main
    - cd repository_mirror_gdk_main
    - git remote remove origin
    - git remote add origin https://PushKey:$ACCESS_TOKEN_GDK_MAIN@$DESTINATION_REPO_GDK_MAIN
    - git push --set-upstream origin --all
    - git push --set-upstream origin --tags
    - cd ..

    # Meine Stadt Transparent
    - echo -----------------------------------------------------------------------------------------
    - echo pulling from $SOURCE_REPO_MST and pushing to $DESTINATION_REPO_MST
    - git clone --mirror $SOURCE_REPO_MST repository_mirror_mst
    - cd repository_mirror_mst
    - git remote remove origin
    - git remote add origin https://PushKey:$ACCESS_TOKEN_MST@$DESTINATION_REPO_MST
    - git push --set-upstream origin --all
    - git push --set-upstream origin --tags
    - cd ..

    only:
    - branches
